Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#4655 closed defect (invalid)

libffi required patch modification

Reported by: Pau Coma Ramirez Owned by: Fernando de Oliveira
Priority: normal Milestone:
Component: BOOK Version: SVN
Severity: normal Keywords: patch
Cc:

Description

The required patch to be applied Required patch: http://www.linuxfromscratch.org/patches/blfs/svn/libffi-3.0.13-includedir-1.patch following changes the pkgconfig file, libffi.pc, should not be applied

-Cflags: -I${includedir}

+Cflags:

When attempting to compile glib2 sources, "ffi.h" is required and not found if the includedir is not defined in the compiler flags.

My solution. I manually modified my libffi.pc file.

The proposed solution. Update the patch.


Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2012-03-29
Initial Package Version: 3.0.10
Upstream Status:         Not Submitted
Origin:                  Self
Description:             Makes package install headers into /usr/include instead
                         of /usr/lib/libffi-3.0.10/include

--- libffi.orig/include/Makefile.in     2011-08-23 16:28:35.000000000 +0200
+++ libffi/include/Makefile.in  2012-03-29 19:57:53.919343783 +0200
@@ -221,7 +221,7 @@
 AUTOMAKE_OPTIONS = foreign
 DISTCLEANFILES = ffitarget.h
 EXTRA_DIST = ffi.h.in ffi_common.h
-includesdir = $(libdir)/@PACKAGE_NAME@-@PACKAGE_VERSION@/include
+includesdir = $(includedir)
 nodist_includes_HEADERS = ffi.h ffitarget.h
 all: all-am

--- libffi.orig/libffi.pc.in    2011-08-22 20:38:12.000000000 +0200
+++ libffi/libffi.pc.in 2012-03-29 19:57:18.263549738 +0200
@@ -1,7 +1,7 @@
 prefix=@prefix@
 exec_prefix=@exec_prefix@
 libdir=@libdir@
-includedir=${libdir}/@PACKAGE_NAME@-@PACKAGE_VERSION@/include
+includedir=@includedir@

 Name: @PACKAGE_NAME@
 Description: Library supporting Foreign Function Interfaces

Attachments (1)

libffi-3.0.13-includedir-2.patch (1.1 KB ) - added by Pau Coma Ramirez 8 years ago.
updated patch file

Download all attachments as: .zip

Change History (6)

by Pau Coma Ramirez, 8 years ago

updated patch file

comment:1 by Fernando de Oliveira, 8 years ago

I cannot confirm this. All seems to work for me. Please, can you elaborate and/or post the relevant part of the error?

comment:2 by Fernando de Oliveira, 8 years ago

About this, without a reply, I am thinking about closing as invalid tomorrow. Any thought, anybody, please?

comment:3 by Fernando de Oliveira, 8 years ago

Owner: changed from blfs-book@… to Fernando de Oliveira
Status: newassigned

I am assuming no objections to close as invalid. Will do it later, probably today, when updating other packages.

comment:4 by Fernando de Oliveira, 8 years ago

Resolution: invalid
Status: assignedclosed

comment:5 by bdubbs@…, 8 years ago

Milestone: current

Milestone current deleted

Note: See TracTickets for help on using tickets.